## thumb-sudoku 0.3

=== Makefile ===


all: gui

SRC=gui.c lineread.c uutil.c tile50.c up64.c down64.c
OBJ=$(SRC:%.c=%.o)


gui: $(OBJ)
	FLAGS=`pkg-config --libs hildon-1 libosso` || \
	FLAGS=`pkg-config --libs gtk+-2.0`\ -DNOTMAEMO; set -x;\
	gcc -o $@ $(OBJ) $$FLAGS

FILE_PNG64 = thumb-sudoku-64.png
FILE_DESKTOP = thumb-sudoku.desktop
FILE_SERVICE = thumb-sudoku.service

install_maemo:
	mkdir -p $(DESTDIR)/usr/share/icons/hicolor/64x64/apps
	cp $(FILE_PNG64) $(DESTDIR)/usr/share/icons/hicolor/64x64/apps/ma	
	mkdir -p $(DESTDIR)/usr/share/applications/hildon
	cp $(FILE_DESKTOP) $(DESTDIR)/usr/share/applications/hildon
	mkdir -p $(DESTDIR)/usr/share/dbus-1/services
	cp $(FILE_SERVICE) $(DESTDIR)/usr/share/dbus-1/services
	mkdir -p $(DESTDIR)/opt/maemo/usr/lib/thumb_sudoku
	cp gui game.pl precalc \
		$(DESTDIR)/opt/maemo/usr/lib/thumb_sudoku

gui.o: gui.c tile50.h up64.h down64.h
	sh $<

uutil.o: uutil.c
	sh $<

lineread.o: lineread.c
	sh $<

tile50.o: tile50.c

tile50.c tile50.h: tile50src.c
	perl readrgbc.pl tile50 $<

up64.c up64.h: up64src.c
	perl readrgbc.pl up64 $<

down64.c down64.h: down64src.c
	perl readrgbc.pl down64 $<

clean distclean:
	rm -f gui *.o tile50.c tile50.h up64.c up64.h down64.c down64.h *~

=== debian/changelog ===
thumb-sudoku (0.3) unstable; urgency=low

  * Initial release

 -- Tomi Ollila <tomi.ollila@iki.fi>  Tue, 02 Feb 2010 22:04:25 +0000

## thumb-sudoku 0.4

=== Makefile ===
--- 
+++ 
@@ -11,13 +11,15 @@
 	FLAGS=`pkg-config --libs gtk+-2.0`\ -DNOTMAEMO; set -x;\
 	gcc -o $@ $(OBJ) $$FLAGS
 
-FILE_PNG64 = thumb-sudoku-64.png
+FILE_PNG = thumb-sudoku.png
+FILE_PNG64 = $(FILE_PNG:%.png=%-64.png)
 FILE_DESKTOP = thumb-sudoku.desktop
 FILE_SERVICE = thumb-sudoku.service
 
 install_maemo:
 	mkdir -p $(DESTDIR)/usr/share/icons/hicolor/64x64/apps
-	cp $(FILE_PNG64) $(DESTDIR)/usr/share/icons/hicolor/64x64/apps/ma	
+	cp $(FILE_PNG64) \
+		$(DESTDIR)/usr/share/icons/hicolor/64x64/apps/$(FILE_PNG)
 	mkdir -p $(DESTDIR)/usr/share/applications/hildon
 	cp $(FILE_DESKTOP) $(DESTDIR)/usr/share/applications/hildon
 	mkdir -p $(DESTDIR)/usr/share/dbus-1/services
@@ -48,3 +50,12 @@
 
 clean distclean:
 	rm -f gui *.o tile50.c tile50.h up64.c up64.h down64.c down64.h *~
+	-debian/rules clean
+
+mad_srcpkg: # Published MADDE images do not (yet) have 'fakeroot' command...
+	mad dpkg-buildpackage -sa -S -I.git
+
+bumprev: # 0ld Amiga term...
+	perl -pi -e 'BEGIN { chomp($$date=`date -R`); $$set = 0; } \
+	 s/(\d+)\.(\d+)/sprintf "$$1.%d",$$2 + 1/e unless $$set; \
+	 s/>.*/>  $$date/, $$set = 1 if (/--.*>/ && !$$set);' debian/changelog

=== debian/changelog ===
thumb-sudoku (0.4) unstable; urgency=low

  * Save game state on exit which is loaded at startup

  * Hildon application menu with 'New Game' item

 -- Tomi Ollila <tomi.ollila@iki.fi>  Mon, 22 Feb 2010 20:23:06 +0000

## thumb-sudoku 0.5

=== Makefile ===
--- 
+++ 
@@ -53,6 +53,7 @@
 	-debian/rules clean
 
 mad_srcpkg: # Published MADDE images do not (yet) have 'fakeroot' command...
+	git status | grep 'directory clean'
 	mad dpkg-buildpackage -sa -S -I.git
 
 bumprev: # 0ld Amiga term...

=== debian/changelog ===
thumb-sudoku (0.5) unstable; urgency=low

  * Fixed bug when loading (small number) reference value from saved state

 -- Tomi Ollila <tomi.ollila@iki.fi>  Fri, 26 Feb 2010 08:29:44 +0200

=== debian/control ===
Source: thumb-sudoku
Section: user/games
Priority: optional
Maintainer: Tomi Ollila <tomi.ollila@iki.fi>
Uploaders: Tomi Ollila <tomi.ollila@iki.fi>
Build-Depends: debhelper (>= 4.0.0), libosso-dev, libdbus-glib-1-2, libglib2.0-0, libosso1, libpango1.0-0, libfreetype6, libcairo2, libdbus-1-3, libhildon1, libhildon1-dev, libfontconfig1, libatk1.0-0, libgtk2.0-0 
Standards-Version: 3.6.1

Package: thumb-sudoku
Section: user/games
Architecture: armel
Depends: perl-base (>= 5.6)
Provides: thumb-sudoku
Description: Thumb Sudoku
 A Sudoku Game playable with fingers (ymmv).
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAAXNSR0IArs4c6QAAAAZiS0dEAP8A
 /wD/oL2nkwAAAAlwSFlzAAAOwwAADsMBx2+oZAAAAAd0SU1FB9oCAgoPE6EJ1sUAAAqzSURBVGje
 1Zp9TFX1H8df59x7uVyRK3B58gIaxYa6hU/Agkpn6sUmtYa2DCtzpq6HVSuaf9QwMqNgLeZyycyB
 LDJdAj78UCwjXDK7TOqCyXU5n0JgBSSPwr3nnvP7w+5JHs7l4h9ln+2zcc75vjmfz/fz+P3cIzCK
 tm6VHxAEVun18kKPh2RF0QXzL5IoyoM6ndLkdotnFIWavDzx+O3Phb8FV6bqdEqBorDZau3zWCw3
 DWbzEDqd8m/Kj8cj0NsbSFeXSWpvn6ooCv+TZXFjXp7QqSpwS3i5yWRyx6SnXw8ICRnibqSBAQP1
 9bHDPT3GflkW5uXlia16AJ1OKTCZ3DE22+UAvV6+ZRpBYMeOHTgcDpqbm+nv7wfg/PnzPl9y5MgR
 KisrcTqd9PX1ERkZic1m45VXXiEoKEgTd+DAAb7++muuXr3K4OAg4eHhLF26lNdee43g4GAURSEo
 yM2yZVeM338/k+7uwM+BFcLWrfIDoshpm+2qePvOC4LArFmzxrzI6XT6VODZZ5+loaGBqVOnYjQa
 6erqAiA1NZWysjJN3BtvvEF1dTVms5mAgAA6OzsBWLBgAeXl5SPWDg7qqa6Od0mSuE4UBFbFxPR7
 QkOHEQRBZYDHH3+c3NxctmzZ4reZH3zwQb744gvsdjunT59m+/btANjtdp/KZ2RkUFlZid1u54cf
 flBxjY2NtLS0jJAtKMhDQkJvgF7PGlGvlxeGhw8ZRv9DQRAoLCxk7dq1xMfHj7jvi1988UVSUlLQ
 6XQIgkBmZqaK7e7u1sStWLGCOXPmqNcrV65UcTdu3BijcGjoEIIgz9XLspAcEuJCFEXN3fFaZPTf
 /lBzczO34kxHYmKi3/hvv/0WAJPJxP333z9GvrAwF5Kku0cvy2LweKlSS+jJKOByuVRXyMrKIjIy
 ckLMo48+Sk9PD3/88Qfx8fHk5uYSEhKCooyU0WC4da2/3S20FPDn/mhSFIWcnBxaWlpITEzk7bff
 9gt77do1XC4XAEajEYPBMC7Oe0+8Ve3EMTzaR/2NAS+///77HDt2jLi4OEpLSwkODvYL19LSgsPh
 YNOmTTidTjZv3kxfX9+48qkKaO30nSpQXFzM3r17iY6Opry8nKioKL8VFwSB4OBgXn311b+K1wDn
 zp3TbjV8CeZyuXC5XEiSNMKvXS6X5ssrKiooKCggLCyM8vJy4uLi/BK6pqaG4eG/U7k3iAHMZvO4
 GADh3XcVJSOjg+jose3D7elzNF2+fHnc+wkJCXg8HsxmM6GhoSOe5efnk5aWNi4uPj4enU5HREQE
 brdbLYCzZ8/myJEj6HS6Eev7+/UcPBirHcQTkdZ6j8cDQG9vL729vSOe3bx5UxP39NNP09DQQGtr
 K5IkMX36dJYsWUJOTg56vV7z/T6z0LVr1ybdcN0JBuCjjz6aMKtpKnAnBeqfJq00f8cudLcoJPqT
 GgsKCoiLiyMuLo6TJ09OuN67djTX1dX5xLndbj799FOWLl1KQkICs2fPZvXq1Vy9elUzrU9oAafT
 yWeffTamDvhDkZGRmEwm9XrKlCmaWFmWWb9+PXV1dSrW7Xbz448/0tHRMSYj+hUDsizz1ltvYTab
 6e7unnQ7UVhYyPLly/1ae+jQIerq6ggKCqKsrExNt83NzVgsFs0Y8OlCpaWlNDY2kpeXN6lKPNm2
 QxAEKisrAVi/fj3p6enq/aSkJGJiYjTfo6lAR0cHH374IYsXL+bJJ5+8IwW2b9/Oww8/zLp162hs
 bPSJ+eWXXwBwu93YbDZmzJjBggUL2LFjh+Z7fcbAli1bkCSJwsLCcXfVH7pw4QIAFy9epLa2lqqq
 KpKTk8dd6628xcXFmEwmgoODaW9vJz8/n6CgIDZu3KjtQuPRiRMnyMnJYebMmZNOcfn5+TQ2NnL9
 +nWOHj1KTEwMbrfbZ7HyFqro6GgaGxs5d+4cGRkZAD7P0qKv7jM/Px+r1YrValUBzz33HB9//LFP
 d9iwYQOxsbEYDAZSU1N58803ATh79qzPDhRgyZIlWCwW9Ho9q1atAuDKlSuTjwFvX+Pl2zOToiiT
 ClBvKvV4PJpr7r333jFrZFn+6/RlmHwMeMcaXgoPDwfgyy+/xGazaZrU4XBgsViIjY0FoKOjQ60j
 ycnJmvGzaNEizp49y3fffUd3dzehoaFqZpo7d64m7o5aCV9ra2pqKCgoIDw8nMDAQNra2pBlGaPR
 SG5uriZ248aN7N27l87OTubPn4/JZKKrqwtBEHj99dd91wF/0qO/6xYuXEhaWhqyLNPW1kZISAiZ
 mZl88803qgXG4+joaI4ePcqKFSvQ6/X09fWRlJREWVkZy5Yt832gWbWqn9hY6T/VzPX2ipSUmP/7
 3aimAqMPEHfreUAzBkJCQjR5vDGMlwGKioqYP38+ERERJCQk8PLLL/Pnn3/6xImiSFVVFYsWLSIy
 MpKZM2eSnZ3NxYsXxx3zTGiB0e1rX18fnZ2dPltigA8++ICCggIAIiIi6Orqory8nJaWFmprazVH
 mIcPH+b5558HwGKxcPPmTaqrq7Hb7djtdiIiIibXjTY1NY1g75D2scce82nq0tJSADZt2sSlS5c4
 cOCAOmV2OByauKKiIgAyMzO5dOkSLS0tREVF0dnZSXFxsWZW9OtE5nK5qKqqAmDNmjU+1/b09KiF
 SRAEFi9ePMKKWjjv8Gr16tXodDosFgvLli0DoLa21ncrMdFk7sSJE9y4cYOIiAgeeeQRnwp4LXXw
 4EEGBgbUHycCAwPVijoee9sGt9s94ojp7Wa1SI2B0b55exbav3+/ujsGg8GnC+3atQur1cru3buJ
 iopSj5J79uwhLCxME5eYmEhTUxMlJSWsXLmS9vZ2jh8/rlputHyi6Oehvre3l2PHjgGQnZ09obv1
 9PTQ0NDA0NAQ06ZNY9q0aQwODvLJJ5/Q1tamifPOQuvr67FarSxcuJC+vj68w2dNFxJFefAv643r
 QocOHWJ4eJiEhARSUlImVGDDhg2cOXOGrKwsWltbaW1tJSsrC7vdzgsvvKCJe+aZZygpKeGhhx5i
 1qxZPPHEE7zzzjtqVhpN3nGtqNfT1NmpPV7ft2+fOvrzp3Wur69Xf9AICAggICCArKwsdXd9YbOz
 szl58iQOh4P9+/erFpg3b94Y+bq6dBgMcrvocgln2tqQxrNAR0cHp06d8tt9BEFQ83VFRQWSJCFJ
 EhUVFWpd0ML99ttvIw48p06dYvfu3WrmG01tbQKKIvwkKgo1Fy6ISm+vOMa/vvrqK2RZJjU1lfvu
 u8+vkv/SSy+pCnhPc14FvM+0pt3p6elMnz6dGTNmsHz5cgYGBrDZbDz11FMjZBseFnA4GHK7OQLA
 tm1y1a5dnmG326N4PLdYkiRl3rx5CqAUFRUpkiT5zTt37lSSkpIUo9GoBAYGKnPnzlV27tzpE+N0
 OpW0tDRlypQpitFoVObMmaO89957ysDAgCJJkiqXx+NR9u3zuLZtk89u3arovZ8ahOv1ygWrVQnO
 ysJgNt+dHejQEBw+jPvXXwWPxyPMz8sTnLd97CHHGgzsEQSWpKQIBqtVITISxhnN/6MkSfD777d8
 /ueflaHhYc5LkrA2L09wjvha5TZF1uj1rNHpmOtyCffcDTsfEKC0yzI/3fJ54fO8PEFNOv8HpgSN
 QTxxH+AAAAAASUVORK5CYII=

## thumb-sudoku 0.6

=== debian/changelog ===
thumb-sudoku (0.6) unstable; urgency=low

  * Fixed bug with using hints (those small numbers) (one off-by-one offset).

 -- Tomi Ollila <tomi.ollila@iki.fi>  Mon, 01 Mar 2010 16:18:37 +0200

## thumb-sudoku 1.0

=== Makefile ===
--- 
+++ 
@@ -16,7 +16,7 @@
 FILE_DESKTOP = thumb-sudoku.desktop
 FILE_SERVICE = thumb-sudoku.service
 
-install_maemo:
+install_maemo: gui
 	mkdir -p $(DESTDIR)/usr/share/icons/hicolor/64x64/apps
 	cp $(FILE_PNG64) \
 		$(DESTDIR)/usr/share/icons/hicolor/64x64/apps/$(FILE_PNG)
@@ -25,7 +25,7 @@
 	mkdir -p $(DESTDIR)/usr/share/dbus-1/services
 	cp $(FILE_SERVICE) $(DESTDIR)/usr/share/dbus-1/services
 	mkdir -p $(DESTDIR)/opt/maemo/usr/lib/thumb_sudoku
-	cp gui game.pl precalc \
+	cp gui game.pl pzl?.gz \
 		$(DESTDIR)/opt/maemo/usr/lib/thumb_sudoku
 
 gui.o: gui.c tile50.h up64.h down64.h

=== debian/changelog ===
thumb-sudoku (1.0) unstable; urgency=low

  * 5 puzzle levels, 900 puzzles per level.
  * Show level info.
  * Don't allow overwriting numbers (by accident).
  * Show elapsed time.
  * New (desktop) icons.
	
 -- Tomi Ollila <tomi.ollila@iki.fi>  Sat, 10 Jul 2010 21:16:00 +0300

=== debian/rules ===
#!/usr/bin/make -f

build: build-stamp
build-stamp:
	dh_testdir
	$(MAKE)
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	-rm -f configure-stamp build-stamp 
	dh_clean

install: build
	dh_testdir
	dh_testroot
	$(MAKE) install_maemo DESTDIR=`pwd`/debian/thumb-sudoku

binary-indep: build install
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_link -a
	dh_strip -a
	dh_compress -a
	dh_fixperms -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
